Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00992 Sound Minor Have not tried Feb 8, 2008, 05:50 Jan 19, 2011, 04:09
Tester -Misc Reporters- View Status Public Platform
Assigned To hap Resolution Fixed OS
Status [?] Resolved Driver segahang.cpp
Version 0.94u3 Fixed in Version 0.141u1 Build
Summary 00992: hangon: The pitch of the engine sound is wrong
Description The pitch of the player's engine sound is much too high. The regression occured with the change to segapcm stream_update in 0.94:

SegaPCM now does stream_update on reads/writes for slightly better
accuracy [Aaron Giles]
Steps To Reproduce
Additional Information Posted by JarvisCocker
Flags
Regression Version 0.94
Affected Sets / Systems hangon
Attached Files
 
Relationships
related to 02041Resolvedhap smgp and clones: Voice samples incorrectly played 
Notes
5
User avatar
No.05954
Tafoid
Administrator
Apr 8, 2010, 23:59
More information here:
http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=217820
User avatar
No.05960
Haze
Senior Tester
Apr 9, 2010, 09:05
I'd usually say references from ports (Shenmue) which used emulators as reference material can't be used.. but this IS quite obviously horribly broken.
User avatar
No.05961
Canim
Senior Tester
Apr 9, 2010, 16:41
edited on: Apr 10, 2010, 00:25
I'm not sure but there is something wrong with the pcm clocks for the sound boards.
hangon, sharrier, enduror1 use the 2203 board with a pcm clock of 8MHz but all the other boards use a 4MHz pcm clock.
Maybe it's a copy/paste error but using a 4MHz in enduror1 gives the exact sound like enduror. These 2 are the same except for the YM.... The YM...s sound the same but the pcm sounds are different cause the pcm clock differs.
Having that in mind and hearing now hangon with a 4MHz pcm clock reduces the high pitch. It's not perfect like the video but it's more like the version before it regressed in 0.94.
User avatar
No.05991
AWJ
Developer
Apr 22, 2010, 08:20
The SegaPCM clocks aren't wrong. Changing the SegaPCM clock breaks every single other PCM sound (drums in hangon title music, voice in sharrier) and still doesn't make the engine sound right.
User avatar
No.06312
AWJ
Developer
Jun 28, 2010, 09:32
Rewrote bug summary and description in proper English; added regression version based on information in the thread quoted by Tafoid.